IN="ECG Test Chart CMYKOGV v1 (2019).txt"

function get_subset
{
    MIN=$1
    MAX=$2
    OUT="$3"
    DESC=`basename "$OUT" .txt`
    let LEN=MAX-MIN+1
    let STRIPS=LEN/31
    let SETS=LEN*35
    echo min $MIN max $MAX len $LEN strips $STRIPS sets $SETS
    awk -v min=$MIN -v max=$MAX -v len=$LEN -v strips=$STRIPS -v sets=$SETS -v desc="$DESC" '
{
  if      ($1 == "LGOROWLENGTH")   $0 = $1 "\t" len "\r"
  else if ($1 == "NumberOfStrips") $0 = $1 "\t" strips "\r"
  else if ($1 == "NUMBER_OF_SETS") $0 = $1 "\t" sets "\r"
  else if ($1 == "DESCRIPTOR")     $0 = $1 "\t\"" desc "\"\r"
  else if ($1 + 0 >= 1) {
    ROW=$2
    sub("[0-9]*[A-Z]", "", ROW)
    if(ROW+0 < min || ROW+0 > max) next
  }
  print
}' "$IN" >"$OUT"

}

get_subset 1 31 "ECG Test Chart CMYKOGV v1 (2019) Page 1.txt"
get_subset 32 62 "ECG Test Chart CMYKOGV v1 (2019) Page 2.txt"
get_subset 63 93 "ECG Test Chart CMYKOGV v1 (2019) Page 3.txt"
get_subset 94 124 "ECG Test Chart CMYKOGV v1 (2019) Page 4.txt"
get_subset 1 62 "ECG Test Chart CMYKOGV v1 (2019) Pages 1-2.txt"
get_subset 1 93 "ECG Test Chart CMYKOGV v1 (2019) Pages 1-3.txt"
#get_subset 1 124 "ECG Test Chart CMYKOGV v1 (2019) Pages 1-4.txt"

